# Uses of Class
org.springframework.web.servlet.FlashMap

Packages that use FlashMap
Package
Description
org.springframework.web.servlet
Provides servlets that integrate with the application context infrastructure, and the core interfaces and classes for the Spring web MVC framework.
org.springframework.web.servlet.support
Support classes for Spring's web MVC framework.

## Uses of FlashMap in org.springframework.web.servlet

Methods in org.springframework.web.servlet that return FlashMap
Modifier and Type
Method
Description
`FlashMap`
FlashMap.`addTargetRequestParam(String name, String value)`
Provide a request parameter identifying the request for this FlashMap.
`FlashMap`
FlashMap.`addTargetRequestParams(org.springframework.util.MultiValueMap<String,String> params)`
Provide request parameters identifying the request for this FlashMap.
`FlashMap`
FlashMapManager.`retrieveAndUpdate(HttpServletRequest request, HttpServletResponse response)`
Find a FlashMap saved by a previous request that matches to the current request, remove it from underlying storage, and also remove other expired FlashMap instances.
Methods in org.springframework.web.servlet with parameters of type FlashMap
Modifier and Type
Method
Description
`int`
FlashMap.`compareTo(FlashMap other)`
Compare two FlashMaps and prefer the one that specifies a target URL path or has more target URL parameters.
`void`
FlashMapManager.`saveOutputFlashMap(FlashMap flashMap, HttpServletRequest request, HttpServletResponse response)`
Save the given FlashMap, in some underlying storage and set the start of its expiration period.

## Uses of FlashMap in org.springframework.web.servlet.support

Methods in org.springframework.web.servlet.support that return FlashMap
Modifier and Type
Method
Description
`static FlashMap`
RequestContextUtils.`getOutputFlashMap(HttpServletRequest request)`
Return "output" FlashMap to save attributes for request after redirect.
`final FlashMap`
AbstractFlashMapManager.`retrieveAndUpdate(HttpServletRequest request, HttpServletResponse response)`
Methods in org.springframework.web.servlet.support that return types with arguments of type FlashMap
Modifier and Type
Method
Description
`protected abstract List<FlashMap>`
AbstractFlashMapManager.`retrieveFlashMaps(HttpServletRequest request)`
Retrieve saved FlashMap instances from the underlying storage.
`protected List<FlashMap>`
SessionFlashMapManager.`retrieveFlashMaps(HttpServletRequest request)`
Retrieves saved FlashMap instances from the HTTP session, if any.
Methods in org.springframework.web.servlet.support with parameters of type FlashMap
Modifier and Type
Method
Description
`protected boolean`
AbstractFlashMapManager.`isFlashMapForRequest(FlashMap flashMap, HttpServletRequest request)`
Whether the given FlashMap matches the current request.
`final void`
AbstractFlashMapManager.`saveOutputFlashMap(FlashMap flashMap, HttpServletRequest request, HttpServletResponse response)`
Method parameters in org.springframework.web.servlet.support with type arguments of type FlashMap
Modifier and Type
Method
Description
`protected abstract void`
AbstractFlashMapManager.`updateFlashMaps(List<FlashMap> flashMaps, HttpServletRequest request, HttpServletResponse response)`
Update the FlashMap instances in the underlying storage.
`protected void`
SessionFlashMapManager.`updateFlashMaps(List<FlashMap> flashMaps, HttpServletRequest request, HttpServletResponse response)`
Saves the given FlashMap instances in the HTTP session.